> ## Documentation Index
> Fetch the complete documentation index at: https://docs-api.kravata.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Transfers

> Retrieves the list of wallet transfer requests associated with a specific user under the given client. This endpoint allows you to fetch all transfer operations for tracking, validation, or reporting purposes.

#### Headers

| Field | **Type** | Required | Description |
| --- | --- | --- | --- |
| Authorization | Header | Yes | The access token that authenticates the request. |
| userId | UUID | Yes | The unique identifier of one of your users who is the origin of the funds. Sent in the path; obtainable through the **GET /admin/users** endpoint. |

## Response

Upon a successful request, the server will respond with the following details:

| **Field** | **Description** |
| --- | --- |
| Id | The unique identifier of the wallet transfer. |
| amountOrigin | This is the amount transferred from the source wallet. |
| amountDestination | This is the amount received in the destination wallet. |
| originId | This is the unique identifier of wallet origin you want to use for your wallet_transfer. |
| destinationId | This is the unique identifier of the wallet you want to use for your wallet_transfer. |
| numberCode | This is your wallet_transfer tracking number. |
| direction | The type of operation: transfer |
| registerDate | This is the date when you created your wallet_transfer with us. |
| status | The status of the operation. It can be: "PENDING": Awaiting the funds, "REJECTED": The operation does not meet our requirements,  <br />"COMPLETED": Transaction successfully completed.  <br />"CANCELED": The operation expired without completion. |
| symbolOrigin | The symbol of the token sent in the wallet_transfer |
| symbolDestination | The symbol of the token resulting in the wallet_transfer |



## OpenAPI

````yaml /stack/openapi.json get /api/v1/admin/operations/transfer
openapi: 3.1.0
info:
  title: Kravata Stack API
  version: '2.0'
  description: >-
    Kravata Stack API: users, accounts, custody wallets, liquidity ramps and
    fiat payments.
servers:
  - url: https://test-api-kore.kravata.co
    description: Test
  - url: https://partners-api.kravata.co
    description: Production (mTLS + IP allowlist)
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Users
  - name: Accounts
  - name: Earn
  - name: Custody
  - name: Liquidity Ramps
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/admin/operations/transfer:
    get:
      tags:
        - Custody
      summary: Get Wallet Transfers
      description: >-
        Retrieves the list of wallet transfer requests associated with a
        specific user under the given client. This endpoint allows you to fetch
        all transfer operations for tracking, validation, or reporting purposes.


        #### Headers


        | Field | **Type** | Required | Description |

        | --- | --- | --- | --- |

        | Authorization | Header | Yes | The access token that authenticates the
        request. |

        | userId | UUID | Yes | The unique identifier of one of your users who
        is the origin of the funds. Sent in the path; obtainable through the
        **GET /admin/users** endpoint. |


        ## Response


        Upon a successful request, the server will respond with the following
        details:


        | **Field** | **Description** |

        | --- | --- |

        | Id | The unique identifier of the wallet transfer. |

        | amountOrigin | This is the amount transferred from the source wallet.
        |

        | amountDestination | This is the amount received in the destination
        wallet. |

        | originId | This is the unique identifier of wallet origin you want to
        use for your wallet_transfer. |

        | destinationId | This is the unique identifier of the wallet you want
        to use for your wallet_transfer. |

        | numberCode | This is your wallet_transfer tracking number. |

        | direction | The type of operation: transfer |

        | registerDate | This is the date when you created your wallet_transfer
        with us. |

        | status | The status of the operation. It can be: "PENDING": Awaiting
        the funds, "REJECTED": The operation does not meet our requirements, 
        <br />"COMPLETED": Transaction successfully completed.  <br
        />"CANCELED": The operation expired without completion. |

        | symbolOrigin | The symbol of the token sent in the wallet_transfer |

        | symbolDestination | The symbol of the token resulting in the
        wallet_transfer |
      operationId: get-wallet-transfers
      parameters:
        - name: userId
          in: query
          required: false
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        userId:
                          type: string
                        prefix:
                          type: string
                        numberCode:
                          type: integer
                        originId:
                          type: string
                        destinationId:
                          type: string
                        symbolOrigin:
                          type: string
                        symbolDestination:
                          type: string
                        amountOrigin:
                          type: integer
                        amountDestination:
                          type: integer
                        rate:
                          type: integer
                        paymentMethod: {}
                        registerDate:
                          type: string
                        status:
                          type: string
                        direction:
                          type: string
                  total:
                    type: integer
                  page:
                    type: integer
                  page_size:
                    type: integer
                  order_by: {}
                  order_dir:
                    type: string
              examples:
                operations-transfer:
                  summary: operations/transfer
                  value:
                    items:
                      - id: 935b7f09-1ed3-43d9-a873-fa4c8a59e222
                        userId: 67960e40-0b5a-465d-8d78-610d7eff2785
                        prefix: WLT
                        numberCode: 70030
                        originId: e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef
                        destinationId: 5f073272-44d1-49e5-a954-38e397e989b2
                        symbolOrigin: COPM
                        symbolDestination: COPM
                        amountOrigin: -10
                        amountDestination: 10
                        rate: 1
                        paymentMethod: null
                        registerDate: '2026-07-03T22:19:46.663945'
                        status: PENDING
                        direction: TRANSFER
                      - id: ec457b0f-d005-432d-9bb1-38ec9ebc2e69
                        userId: 67960e40-0b5a-465d-8d78-610d7eff2785
                        prefix: WLT
                        numberCode: 51751
                        originId: e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef
                        destinationId: 5f073272-44d1-49e5-a954-38e397e989b2
                        symbolOrigin: COPM
                        symbolDestination: COPM
                        amountOrigin: -10
                        amountDestination: 10
                        rate: 1
                        paymentMethod: null
                        registerDate: '2026-07-03T22:22:12.599556'
                        status: PENDING
                        direction: TRANSFER
                      - id: 84919478-6ebc-4021-ba3b-1cdd2b56b612
                        userId: 67960e40-0b5a-465d-8d78-610d7eff2785
                        prefix: WLT
                        numberCode: 70598
                        originId: e6776eb8-f6cd-4ac3-bf5e-4e96cf92e4ef
                        destinationId: 5f073272-44d1-49e5-a954-38e397e989b2
                        symbolOrigin: COPM
                        symbolDestination: COPM
                        amountOrigin: -10
                        amountDestination: 10
                        rate: 1
                        paymentMethod: null
                        registerDate: '2026-07-03T23:04:44.356476'
                        status: PENDING
                        direction: TRANSFER
                    total: 3
                    page: 1
                    page_size: 10
                    order_by: null
                    order_dir: asc
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Access token from POST /api/v1/client/token.

````